Bug 681754 (CVE-2011-1140) - CVE-2011-1140 Wireshark: Multiple stack consumption vulnerabilities caused DoS via crafted SMB or CLDAP packet
Summary: CVE-2011-1140 Wireshark: Multiple stack consumption vulnerabilities caused Do...
Status: CLOSED ERRATA
Alias: CVE-2011-1140
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: public=20110301,reported=20110301,sou...
Keywords: Security
Depends On: 549582 612240 676781 682932 682936 682937 833994
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-03-03 06:59 UTC by Huzaifa S. Sidhpurwala
Modified: 2015-08-19 09:07 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 15:50:27 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:0369 normal SHIPPED_LIVE Moderate: wireshark security update 2011-03-21 17:07:10 UTC
Red Hat Product Errata RHSA-2011:0370 normal SHIPPED_LIVE Moderate: wireshark security update 2011-03-21 19:39:13 UTC

Description Huzaifa S. Sidhpurwala 2011-03-03 06:59:34 UTC
Common Vulnerabilities and Exposures assigned an identifier CVE-2011-1140 to
the following vulnerability:

Name: CVE-2011-1140
URL: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2011-1140
Assigned: 20110302
Reference: CONFIRM:http://anonsvn.wireshark.org/viewvc?view=rev&revision=36029
Reference: CONFIRM:http://www.wireshark.org/docs/relnotes/wireshark-1.2.15.html
Reference: CONFIRM:http://www.wireshark.org/docs/relnotes/wireshark-1.4.4.html
Reference: CONFIRM:http://www.wireshark.org/security/wnpa-sec-2011-03.html
Reference: CONFIRM:http://www.wireshark.org/security/wnpa-sec-2011-04.html
Reference: CONFIRM:https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=5717

Multiple stack consumption vulnerabilities in the
dissect_ms_compressed_string and dissect_mscldap_string functions in
Wireshark 1.0.x, 1.2.0 through 1.2.14, and 1.4.0 through 1.4.3 allow
remote attackers to cause a denial of service (infinite recursion) via
a crafted (1) SMB or (2) Connection-less LDAP (CLDAP) packet.

Comment 1 Huzaifa S. Sidhpurwala 2011-03-03 09:28:15 UTC
Created wireshark tracking bugs for this issue

Affects: fedora-all [bug 676781]

Comment 4 errata-xmlrpc 2011-03-21 17:07:27 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2011:0369 https://rhn.redhat.com/errata/RHSA-2011-0369.html

Comment 5 errata-xmlrpc 2011-03-21 19:39:27 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5

Via RHSA-2011:0370 https://rhn.redhat.com/errata/RHSA-2011-0370.html


Note You need to log in before you can comment on or make changes to this bug.